Page MenuHomePhabricator

Determine if an upgrade to manifest version 2 in extension.json is useful
Closed, ResolvedPublic4 Estimated Story Points

Description

See mw:Manual:Extension.json/Schema for info about the difference between the versions. If the extension already requires 1.29+ we can just change and everything should be fine. If not, we should not change as per the recommendations on the page above.

Related Objects

Mentioned In
T244345: Remove the Util class for PHP tests
T243384: Remove `require` from PHP tests
T234597: Phase out PHPUnit expected exception annotations from tests
T179229: Decide whether we want the package-lock.json to commit or ignore
T206485: Set root: true in eslintrc.json
rEWIS624274d63b11: Bump manifest version up from 1 to 2
T167300: Sensible default values in extension.json (WikispeechServerUrl)
Mentioned Here
T167300: Sensible default values in extension.json (WikispeechServerUrl)
T179229: Decide whether we want the package-lock.json to commit or ignore
T206485: Set root: true in eslintrc.json
T234597: Phase out PHPUnit expected exception annotations from tests
T243384: Remove `require` from PHP tests
T244345: Remove the Util class for PHP tests
rEWIS20d9123e26f5: build: Updating mediawiki/mediawiki-codesniffer to 23.0.0
rEWISd8447da7a283: build: Set "root": true, in .eslintrc.json
rEWISf1f11438ad13: build: Updating mediawiki/mediawiki-codesniffer to 24.0.0
rEWIS07e603c36161: Variation improvements to the Wikispeech includes/ dir
rEWIScbfb48785055: build: Updating npm dependencies for security issues
rEWISbcd8507dc041: build: Updating dependencies
rEWIS3225fe24c38b: build: Updating js-yaml to 3.13.1
rEWISebbad49ed2d4: build: Bump mediawiki-codesniffer to 28.0.0 and make a pass
rEWISb831a16f07d0: build: Updating grunt-banana-checker to 0.8.1
rEWIS879bc3102ead: build: Updating mediawiki/minus-x to 0.3.2
rEWIS52931bc131f4: build: Updating npm dependencies
rEWIS24aa5aabd1db: build: Updating dependencies
rEWIS93c9f0b19af4: build: Updating composer dependencies
rEWIS90df124ace42: Remove "require once"-statements in test cases
rEWIS1dbe811f59f7: build: Updating npm dependencies
rEWIS624274d63b11: Bump manifest version up from 1 to 2
rEWIS8a3cc99dc002: Wikispeech: Remove HtmlGenerator

Event Timeline

Restricted Application added a project: Wikispeech-Jobrunner. · View Herald TranscriptJan 22 2020, 9:37 AM
Lokal_Profil updated the task description. (Show Details)Jan 24 2020, 8:35 AM
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil renamed this task from Upgrade to manifest version 2 in extension.json to Determine if an upgrade to manifest version 2 in extension.json is useful.Feb 6 2020, 11:07 AM
Lokal_Profil added a project: User-kalle.
Lokal_Profil set the point value for this task to 4.
Lokal_Profil added subscribers: kalle, Lokal_Profil.

We'll use this for @kalle to familiarise himself with the extension part of the codebase

While you are figuring out which verison we require you can add this to mw:Extension:Wikispeech using the mediawiki parameter and extension.json using "requires": {"MediaWiki": ">= 1.xx.x"}

Change 572896 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Bump manifest version up from 1 to 2

https://gerrit.wikimedia.org/r/572896

kalle added a comment.Feb 18 2020, 3:20 PM

Oups. My bad. Note to self, run tests before committing for review. I'm at it.

Change 573304 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Merge remote-tracking branch 'origin/master' into T243376

https://gerrit.wikimedia.org/r/573304

Change 573566 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Bump manifest version up from 1 to 2

https://gerrit.wikimedia.org/r/573566

Change 573304 abandoned by Karl Wettin (WMSE):
Merge remote-tracking branch 'origin/master' into T243376

Reason:
I messed up the branching, starting over from scratch.

https://gerrit.wikimedia.org/r/573304

Change 572896 abandoned by Karl Wettin (WMSE):
Bump manifest version up from 1 to 2

Reason:
I messed up the branching, starting over from scratch.

https://gerrit.wikimedia.org/r/572896

Change 573566 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Bump manifest version up from 1 to 2

https://gerrit.wikimedia.org/r/573566

Sebastian_Berlin-WMSE closed this task as Resolved.Mar 9 2020, 1:13 PM